StandardSessionFacade (Tomcat API Documentation)
Keywords: org.apache.catalina.session.StandardSessionFacade class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.session
Class StandardSessionFacade

    java.lang.Object
      org.apache.catalina.session.StandardSessionFacade

All Implemented Interfaces:
  javax.servlet.http.HttpSession

    public class StandardSessionFacade

extends java.lang.Object
implements javax.servlet.http.HttpSession

Facade for the StandardSession object.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Remy Maucherat

Constructor Summary
`StandardSessionFacade(javax.servlet.http.HttpSession session)` Construct a new session facade.
`StandardSessionFacade(StandardSession session)` Construct a new session facade.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` Returns the object bound with the specified name in this session, or `null` if no object is bound under the name.
`java.util.Enumeration` | `getAttributeNames()` Returns an `Enumeration` of `String` objects containing the names of all the objects bound to this session.
`long` | `getCreationTime()` Returns the time when this session was created, measured in milliseconds since midnight January 1, 1970 GMT.
`java.lang.String` | `getId()` Returns a string containing the unique identifier assigned to this session.
`long` | `getLastAccessedTime()` Returns the last time the client sent a request associated with this session, as the number of milliseconds since midnight January 1, 1970 GMT, and marked by the time the container received the request.
`int` | `getMaxInactiveInterval()` Returns the maximum time interval, in seconds, that the servlet container will keep this session open between client accesses.
`javax.servlet.ServletContext` | `getServletContext()` Returns the ServletContext to which this session belongs.
`javax.servlet.http.HttpSessionContext` | `getSessionContext()`
`java.lang.Object` | `getValue(java.lang.String name)`
`java.lang.String[]` | `getValueNames()`
`void` | `invalidate()` Invalidates this session then unbinds any objects bound to it.
`boolean` | `isNew()` Returns `true` if the client does not yet know about the session or if the client chooses not to join the session.
`void` | `putValue(java.lang.String name, java.lang.Object value)`
`void` | `removeAttribute(java.lang.String name)` Removes the object bound with the specified name from this session.
`void` | `removeValue(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Binds an object to this session, using the name specified.
`void` | `setMaxInactiveInterval(int interval)` Specifies the time, in seconds, between client requests before the servlet container will invalidate this session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardSessionFacade

    public StandardSessionFacade(StandardSession session)

  Construct a new session facade.

### StandardSessionFacade

    public StandardSessionFacade(javax.servlet.http.HttpSession session)

  Construct a new session facade.

Method Detail

### getCreationTime

    public long getCreationTime()

  Description copied from interface: `javax.servlet.http.HttpSession`
  Returns the time when this session was created, measured in milliseconds since midnight January 1, 1970 GMT.

  Specified by:
    `getCreationTime` in interface `javax.servlet.http.HttpSession`
  Returns:
    a `long` specifying when this session was created, expressed in milliseconds since 1/1/1970 GMT

### getId

    public java.lang.String getId()

  Description copied from interface: `javax.servlet.http.HttpSession`
  Returns a string containing the unique identifier assigned to this session. The identifier is assigned by the servlet container and is implementation dependent.

  Specified by:
    `getId` in interface `javax.servlet.http.HttpSession`
  Returns:
    a string specifying the identifier assigned to this session

### getLastAccessedTime

    public long getLastAccessedTime()

  Description copied from interface: `javax.servlet.http.HttpSession`
  Returns the last time the client sent a request associated with this session, as the number of milliseconds since midnight January 1, 1970 GMT, and marked by the time the container received the request.

  Actions that your application takes, such as getting or setting a value associated with the session, do not affect the access time.

  Specified by:
    `getLastAccessedTime` in interface `javax.servlet.http.HttpSession`
  Returns:
    a `long` representing the last time the client sent a request associated with this session, expressed in milliseconds since 1/1/1970 GMT

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Description copied from interface: `javax.servlet.http.HttpSession`
  Returns the ServletContext to which this session belongs.

  Specified by:
    `getServletContext` in interface `javax.servlet.http.HttpSession`
  Returns:
    The ServletContext object for the web application

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int interval)

  Description copied from interface: `javax.servlet.http.HttpSession`
  Specifies the time, in seconds, between client requests before the servlet container will invalidate this session. A negative time indicates the session should never timeout.

  Specified by:
    `setMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`
  Parameters:
    `interval` - An integer specifying the number of seconds

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Description copied from interface: `javax.servlet.http.HttpSession`
  Returns the maximum time interval, in seconds, that the servlet container will keep this session open between client accesses. After this interval, the servlet container will invalidate the session. The maximum time interval can be set with the `setMaxInactiveInterval` method. A negative time indicates the session should never timeout.

  Specified by:
    `getMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`
  Returns:
    an integer specifying the number of seconds this session remains open between client requests
  See Also:
    `HttpSession.setMaxInactiveInterval(int)`

### getSessionContext

    public javax.servlet.http.HttpSessionContext getSessionContext()

  Specified by:
    `getSessionContext` in interface `javax.servlet.http.HttpSession`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Description copied from interface: `javax.servlet.http.HttpSession`
  Returns the object bound with the specified name in this session, or `null` if no object is bound under the name.

  Specified by:
    `getAttribute` in interface `javax.servlet.http.HttpSession`
  Parameters:
    `name` - a string specifying the name of the object
  Returns:
    the object with the specified name

### getValue

    public java.lang.Object getValue(java.lang.String name)

  Specified by:
    `getValue` in interface `javax.servlet.http.HttpSession`
  Parameters:
    `name` - a string specifying the name of the object
  Returns:
    the object with the specified name

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Description copied from interface: `javax.servlet.http.HttpSession`
  Returns an `Enumeration` of `String` objects containing the names of all the objects bound to this session.

  Specified by:
    `getAttributeNames` in interface `javax.servlet.http.HttpSession`
  Returns:
    an `Enumeration` of `String` objects specifying the names of all the objects bound to this session

### getValueNames

    public java.lang.String[] getValueNames()

  Specified by:
    `getValueNames` in interface `javax.servlet.http.HttpSession`
  Returns:
    an array of `String` objects specifying the names of all the objects bound to this session

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Description copied from interface: `javax.servlet.http.HttpSession`
  Binds an object to this session, using the name specified. If an object of the same name is already bound to the session, the object is replaced.

  After this method executes, and if the new object implements `HttpSessionBindingListener`, the container calls `HttpSessionBindingListener.valueBound`. The container then notifies any `HttpSessionAttributeListener`s in the web application.

  If an object was already bound to this session of this name that implements `HttpSessionBindingListener`, its `HttpSessionBindingListener.valueUnbound` method is called.

  If the value passed in is null, this has the same effect as calling `removeAttribute()`.``

  Specified by:
    `setAttribute` in interface `javax.servlet.http.HttpSession`
  Parameters:
    `name` - the name to which the object is bound; cannot be null
    `value` - the object to be bound

### putValue

    public void putValue(java.lang.String name,
                         java.lang.Object value)

  Specified by:
    `putValue` in interface `javax.servlet.http.HttpSession`
  Parameters:
    `name` - the name to which the object is bound; cannot be null
    `value` - the object to be bound; cannot be null

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Description copied from interface: `javax.servlet.http.HttpSession`
  Removes the object bound with the specified name from this session. If the session does not have an object bound with the specified name, this method does nothing.

  After this method executes, and if the object implements `HttpSessionBindingListener`, the container calls `HttpSessionBindingListener.valueUnbound`. The container then notifies any `HttpSessionAttributeListener`s in the web application.

  Specified by:
    `removeAttribute` in interface `javax.servlet.http.HttpSession`
  Parameters:
    `name` - the name of the object to remove from this session

### removeValue

    public void removeValue(java.lang.String name)

  Specified by:
    `removeValue` in interface `javax.servlet.http.HttpSession`
  Parameters:
    `name` - the name of the object to remove from this session

### invalidate

    public void invalidate()

  Description copied from interface: `javax.servlet.http.HttpSession`
  Invalidates this session then unbinds any objects bound to it.

  Specified by:
    `invalidate` in interface `javax.servlet.http.HttpSession`

### isNew

    public boolean isNew()

  Description copied from interface: `javax.servlet.http.HttpSession`
  Returns `true` if the client does not yet know about the session or if the client chooses not to join the session. For example, if the server used only cookie-based sessions, and the client had disabled the use of cookies, then a session would be new on each request.

  Specified by:
    `isNew` in interface `javax.servlet.http.HttpSession`
  Returns:
    `true` if the server has created a session, but the client has not yet joined

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.